SPIn specificationREST APIIntermediate Status

PostStatus

API Explorer
loading...
POST
/v2/IntermediateStatus/PostStatus

Post Intermediate Status — submits the current intermediate status of a transaction from the terminal. All the responses have GeneralResponse section that informs about successful result or error. See Error Codes and Messages.

Request Body

application/json

Response Body

application/json

application/json

curl -X POST "https://example.com/v2/IntermediateStatus/PostStatus" \  -H "Content-Type: application/json" \  -d '{    "StatusText": "",    "StatusCode": "",    "StatusDateTime": "",    "Tpn": "",    "ReferenceId": "",    "Authkey": ""  }'
{
  "StatusDateTime": "",
  "StatusText": "",
  "StatusCode": ""
}
{
  "GeneralResponse": {
    "ResultCode": "0",
    "StatusCode": "0000",
    "Message": "",
    "DetailedMessage": "",
    "DelayBeforeNextRequest": null
  }
}